#!/bin/bash

date +%s > /tmp/.sshStatusAPI_initDate
date > /root/logs/sshStatusAPI.log

OPT=$1
SELF_IP=$(/usr/bin/hostname -I)
OVPN_GW=$(echo "${SELF_IP::-2}"1)
# COMMAND   PID USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
# dhclient  404 root    7u  IPv4  13601      0t0  UDP *:68
# sshd      438 root    3u  IPv4  13745      0t0  TCP *:22010 (LISTEN)
# sshd      438 root    4u  IPv6  13756      0t0  TCP *:22010 (LISTEN)
# sshd     6504 root    3u  IPv4  42703      0t0  TCP 192.168.156.10:22010->83.199.188.183:59861 (ESTABLISHED)
# sshd     6551 root    3u  IPv4  43141      0t0  TCP 192.168.156.10:22010->77.130.71.50:55894 (ESTABLISHED)
# sshd     6551 root    9u  IPv4  43199      0t0  TCP *:1194 (LISTEN)
# sshd     6551 root   10u  IPv6  43200      0t0  TCP *:1194 (LISTEN)
# sshd     6551 root   11u  IPv4  43226      0t0  TCP 192.168.156.10:1194->192.168.156.11:43314 (ESTABLISHED)

##
# List of Iface 
##
valICloseWait=$(/usr/bin/lsof -i -P -n | grep -i "wait")
valOVPNTunnel=$(/usr/bin/lsof -i -P -n | grep -i '*:1194')

# sshd     6551 root   11u  IPv4  43226      0t0  TCP 192.168.156.10:1194->192.168.156.11:43314 (ESTABLISHED)
valTunEstablished=$(/usr/bin/lsof -i -P -n | grep -i "${SELF_IP}:1194->${OVPN_GW}:" | grep -i '(ESTABLISHED)')


isICloseWait=$(echo $valICloseWait | grep -c -i "wait")
isOVPNTunnel=$(echo $valOVPNTunnel | grep -c -i '*:1194')

echo "SelfIP: "$SELF_IP
echo "OpenGW: "$OVPN_GW

echo "valICloseWait="$valICloseWait
echo "valOVPNTunnel="$valOVPNTunnel
echo "valTunEstablished="$valTunEstablished
